Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaClassRegistry.MetaClassCreationHandle

    java.lang.Object
      groovy.lang.MetaClassRegistry.MetaClassCreationHandle

Direct Known Subclasses:
  ExpandoMetaClassCreationHandle

Enclosing interface:
  MetaClassRegistry

    public static class MetaClassRegistry.MetaClassCreationHandle

extends Object

Class used as base for the creation of MetaClass implementations. The Class defaults to MetaClassImpl, if the class loading fails to find a special meta class. The name for such a meta class would be the class name it is created for with the prefix "groovy.runtime.metaclass." By replacing the handle in the registry you can have any control over the creation of what MetaClass is used for a class that you want to have. WARNING: experimental code, likely to change soon

Author:
  Jochen Theodorou

Constructor Summary
`MetaClassRegistry.MetaClassCreationHandle()`

Method Summary
`MetaClass` | `create(Class theClass, MetaClassRegistry registry)`
`protected MetaClass` | `createNormalMetaClass(Class theClass, MetaClassRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaClassRegistry.MetaClassCreationHandle

    public MetaClassRegistry.MetaClassCreationHandle()

Method Detail

### create

    public final MetaClass create(Class theClass,
                                  MetaClassRegistry registry)

### createNormalMetaClass

    protected MetaClass createNormalMetaClass(Class theClass,
                                              MetaClassRegistry registry)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD